ranges::enumerate_fn Struct Reference
Iterator
Inheritance diagram for ranges::enumerate_fn:

## Public Member Functions

template<typename Rng >
auto | operator() (Rng &&rng) const -> std::pair< range_difference_t< Rng >, iterator_t< Rng >> requires range< Rng >
Public Member Functions inherited from ranges::iter_enumerate_fn
template<typename I , typename S >
constexpr auto | operator() (I first, S last) const -> std::pair< iter_difference_t< I >, I > requires sentinel_for< S, I >